$ErrorActionPreference = 'Stop';

if ((Get-WmiObject -class Win32_OperatingSystem).ProductType -ne 1) {
  throw "SyncBackFree cannot be used on server versions of Windows. Upgrade to SyncBackSE or SyncBackPro if you are using a server version of Windows."
}

$packageName = 'syncback'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'http://www.2brightsparks.com/assets/software/SyncBack_Setup.exe'
$url64      = 'http://www.2brightsparks.com/assets/software/SyncBack_Setup.exe'

$installerPackage = Join-Path $toolsDir "SyncBack_Setup.exe";

$packageArgs = @{
  packageName   = $packageName
  fileFullPath  = $installerPackage
  url           = $url
  url64bit      = $url64

  checksum      = '6dc92a7e134f4a16337becf30eaf44d5eb54b7ed7e4e8e275aa81ebbee32d792'
  checksumType  = 'sha256'
  checksum64    = '6dc92a7e134f4a16337becf30eaf44d5eb54b7ed7e4e8e275aa81ebbee32d792'
  checksumType64= 'sha256'
}

Get-ChocolateyWebFile @packageArgs

$installerAuto = Join-Path $toolsDir 'SyncBack.au3';
$installArgs = "/c autoit3 `"$installerAuto`" `"$installerPackage`""
Write-Host "Installing `'$installerPackage`' with AutoIt3 using `'$installerAuto`'"
Start-ChocolateyProcessAsAdmin "$installArgs" "cmd.exe"
